Bug 55617 - reduced battery life under 2.4.x kernels on IBM Thinkpad T20
reduced battery life under 2.4.x kernels on IBM Thinkpad T20
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-02 17:26 EST by Jonathan Magid
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Magid 2001-11-02 17:26:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
Since upgrading to a 2.4.x kernel (starting with Redhat 7.1), my IBM
Thinkpad T20
has had significantly reduced battery life. apm is running and suspend and
spin/downs work fine. Under 7.0 I got 2.5 hours under normal use. Under 7.1
I got 1.5 hours. Under
7.2 it's improved to 1.75 hours. I've used lsof to look for open files that
access may be
causing excessive disk usage, and found that the XFree86 log was logging
power events constantly. After turning off X logging, the situation has not
improved. I've also tried mounting my fs's noatime and running the noflushd
(which spins down the
disk delays bdflush's writes until disk activity was going to happen
anyway), but
this made only a small difference. I am using ext3 and was using ext2 under
Redhat 7.1 and previous versions.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Turn on laptop
2. Work
3. Watch battery decline quickly and then go inside to plug it in.
	

Additional info:
Comment 1 ckulesa 2001-11-06 06:46:23 EST
I have found that the USB controller on my Thinkpad 390E takes quite a bit
of power, consistent with you seeing reduced battery life since Redhat 7.0. 

IRDA modules also suck a lot of battery life. 

I use my own 'usb-on' and 'usb-off' scripts: 

ex. usb-off would be:
/sbin/rmmod [any USB device drivers]
umount /proc/bus/usb
/sbin/rmmod usb-uhci
/sbin/rmmod usbcore

and usb-on is:
#!/bin/sh
/sbin/modprobe -k usb-uhci
mount -t usbdevfs usbdevfs /proc/bus/usb

Turning off USB brings my battery life from just over 2.5 hours to 3.5 hours. 

-Craig
Comment 2 Bugzilla owner 2004-09-30 11:39:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.